Bug 244544 - net-mgmt/netdata: Unbreak webui permissions when running netdata as root
Summary: net-mgmt/netdata: Unbreak webui permissions when running netdata as root
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-01 17:18 UTC by Dries Michiels
Modified: 2020-04-01 12:26 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mmokhi)


Attachments
netdata.diff (433 bytes, patch)
2020-03-01 17:18 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-03-01 17:18:39 UTC
Created attachment 212079 [details]
netdata.diff

Re-add web files owner = netdataa and web files group = netdata to the default config file. The default is root:wheel when not set. So if running as root user (by setting netdata_user="root"), and files are owner by netdata, netdata will refuse to to serve these files since default ownership does not correspond to installed files ownership.

Webui fails on: Access to file is not permitted: /usr/local/share/netdata/web//index.html

When these variables are not set.
Comment 1 Automation User 2020-03-16 14:58:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/126517183
Comment 2 Matthias Andree freebsd_committer 2020-04-01 11:27:26 UTC
maintainer timeout
Comment 3 commit-hook freebsd_committer 2020-04-01 12:26:28 UTC
A commit references this bug:

Author: mandree
Date: Wed Apr  1 12:16:04 UTC 2020
New revision: 530214
URL: https://svnweb.freebsd.org/changeset/ports/530214

Log:
  net-mgmt/netdata: Unbreak webui permissions when running netdata as root

  Bump PORTREVISION (installed @sample file changes).

  PR:		244544
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>
  Approved by:	maintainer timeout (mmokhi@, 31 d)

Changes:
  head/net-mgmt/netdata/Makefile
  head/net-mgmt/netdata/files/netdata.conf.sample.in